API reference
PostsHeld
Attributed orders held by the given posts. Read access, posts toolset, MCP tool get_posts_held. Part of the MISSIN public API: call it with an API key, or…
Access: Read
Variables
| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
first | Int! | yes | 32-bit integer. MCP tools send 50 when it is left out | |
postIds | [UUID!]! | yes | Included in the specified list. |
Call it
bash
curl https://api.missin.co.uk/graphql/v1 \
-H "Authorization: Bearer $MISSIN_API_KEY" \
-H "Content-Type: application/json" \
-d '{"operationName":"PostsHeld","variables":{"first":50,"postIds":[]},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"1e1d57a35e8eb8488c429f26f925e46b41e727e8ec7d8a76ee1b2034f492593d"}}}'Document
graphql
query PostsHeld($first: Int!, $postIds: [UUID!]!) { __typename allTouchpointAttributions( filter: {partnerPostId: {in: $postIds}} first: $first ) { __typename nodes { __typename guarded id orderByOrderId { __typename id orderReportedByOrderId { __typename converted id nativeAttributedRevenue nativeCurrency reportedAttributedRevenue reportingCurrency } rowId } partnerPostId rowId validityFactor } totalCount } }